Skip to main content

Resend callback with current status

Resend a callback for the specified test order, without data updating.

HTTP request​

post
/v1/sandbox/order/{id}/resend-callback

Request​

Header parameters​

Requires authentification.

Query parameters​

NameTypeRequiredDescription
idstringtrueTest order ID.
Sample cURL
curl --location --request GET
'https://fiat-api.changelly.com/v1/sandbox/order/5154302e-3stl-75p4/resend-callback'
--header 'X-Api-Key: {{apiKey}}'
--header 'X-Api-Signature: {{signature}}'

Response​

Response params​

NameTypeRequiredDescription
statusstringtrueCallback status. Enum: success/failed
Sample response
{
"status": "success"
}

Error response​

Error response parameters​

Check the error response schema.

Possible error types in the errorType:

TypeDescription
txTypeThe id query parameter contains a production transaction ID.
validationThe request does not match the schema.

The errorDetails item schema:

NameTypeRequiredDescription
causestringtrueError cause.
valuestringtrueError value.

Error codes​

CodeMessage
400Bad request
401Unauthorized
403Forbidden
404Not found
410Offer expired
422Unprocessable entity
429Too many requests
500Internal server error
Bad Request for the txType error type
Bad Request
{
"errorType": "txType",
"errorMessage": "Transaction type is not test",
"errorDetails": [
{
"cause": "type",
"value": "production"
}
]
}
Bad Request for the validation error type
Bad Request
{
"errorType": "validation",
"errorMessage": "Validation error",
"errorDetails": [
{
"cause": "id",
"value": "Incorrect order ID"
}
]
}